logo
WorkspacesRemove member

Remove member

Remove a member from the workspace. Only owners and admins can remove members. The workspace owner cannot be removed.

Requires a platform API key (sk_user_...). Workspace keys are rejected with 403.

curl -X DELETE "https://api.sendkit.ai/v1/workspaces/example_string/members/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "message": "Member removed"
  }
}
DELETE
/v1/workspaces/{workspaceId}/members/{userId}
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
path
userIdstring
Required

User ID of the member to remove

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

userIdstring
Required

User ID of the member to remove

Responses

successboolean
dataobject